Run of cme for vulkan-loader

Try this locally (using the lintian-brush package):

debcheckout vulkan-loader
cd vulkan-loader
cme-fix
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
[2021-05-20 18:52:26] Running ['cme-fix']
[2021-05-20 18:52:26] Opening branch at https://salsa.debian.org/xorg-team/vulkan/vulkan-loader.git/,branch=debian-unstable
[2021-05-20 18:52:29] Using cached branch https://janitor.debian.net/git/vulkan-loader/,branch=debian%2Flatest
[2021-05-20 18:52:46] Total 15916 (delta 0), reused 0 (delta 0), pack-reused 15916
[2021-05-20 18:53:01] % (234/260)
[2021-05-20 18:53:01]  3% (2/64)
[2021-05-20 18:53:01] Total 214 (delta 148), reused 213 (delta 147), pack-reused 0
[2021-05-20 18:53:04] All changes applied successfully.
[2021-05-20 18:53:04] Workspace ready - starting.

Reading package lists... 0%

Reading package lists... 100%

Reading package lists... Done


Building dependency tree... 0%

Building dependency tree... 0%

Building dependency tree... 50%

Building dependency tree... 50%

Building dependency tree... Done


Reading state information... 0% 

Reading state information... 0%

Reading state information... Done

Warning in 'control source Standards-Version': Current standards version is '4.5.1'. Please read https://www.debian.org/doc/debian-policy/upgrading-checklist.html for the changes that may be needed on your package to upgrade it from standard version '4.5.0' to '4.5.1'.

Offending value: '4.5.0'
Warning in 'control binary:libvulkan1 Recommends:0': package vulkan-icd is unknown. Check for typos if not a virtual package.
Offending value: 'mesa-vulkan-drivers | vulkan-icd'
Warning in 'control binary:libvulkan1 Breaks:0': package vulkan-loader is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-loader'
Warning in 'control binary:libvulkan1 Replaces:0': package vulkan-loader is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-loader'
Warning in 'control binary:"libvulkan-dev" Breaks:0': package vulkan-sdk-headers is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-sdk-headers'
Warning in 'control binary:"libvulkan-dev" Breaks:1': package vulkan-headers is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-headers'
Warning in 'control binary:"libvulkan-dev" Replaces:0': package vulkan-sdk-headers is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-sdk-headers'
Warning in 'control binary:"libvulkan-dev" Replaces:1': package vulkan-headers is unknown. Check for typos if not a virtual package.
Offending value: 'vulkan-headers'
Warning in 'copyright Files:"loader/cJSON.*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT'
Warning in 'copyright Files:"loader/dirent_on_windows.*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT'
Warning in 'copyright Files:"loader/murmurhash.*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT'
Warning in 'copyright Files:"debian/*" License short_name': There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
Offending value: 'MIT or Apache-2.0'
License Expat is not used in Files: section
Connecting to api.ftp-master.debian.org to check 8 package versions. Please wait...
Got info from api.ftp-master.debian.org for 4 packages.
Connecting to api.ftp-master.debian.org to check vulkan-icd versions. Please wait...
got no info for vulkan-icd
Connecting to api.ftp-master.debian.org to check vulkan-loader versions. Please wait...
got no info for vulkan-loader
Connecting to api.ftp-master.debian.org to check vulkan-sdk-headers versions. Please wait...
got no info for vulkan-sdk-headers
Connecting to api.ftp-master.debian.org to check vulkan-headers versions. Please wait...
got no info for vulkan-headers

Changes applied to dpkg configuration:
- control source Standards-Version: '4.5.0' -> '4.5.1' # applied fix for :Current standards version is '4.5.1'. Please read https://www.debian.org/doc/debian-policy/upgrading-checklist.html for the changes that may be needed on your package to upgrade it from standard version '4.5.0' to '4.5.1'.

- copyright License: rename key from 'MIT' to 'Expat'
- copyright Files:"loader/cJSON.*" License short_name: 'MIT' -> 'Expat' # applied fix for :There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
- copyright Files:"loader/dirent_on_windows.*" License short_name: 'MIT' -> 'Expat' # applied fix for :There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
- copyright Files:"loader/murmurhash.*" License short_name: 'MIT' -> 'Expat' # applied fix for :There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.
- copyright Files:"debian/*" License short_name: 'MIT or Apache-2.0' -> 'Expat' # applied fix for :There are many versions of the MIT license. Please use Expat instead, when it matches. See L<Debian copyright format|https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/#license-specification> and L<wikipedia|https://en.wikipedia.org/wiki/MIT_License#Various_versions>for details.

[2021-05-20 18:53:13] Committing to: /home/janitor/tmp/janitorqi3net1_/vulkan-loader/
[2021-05-20 18:53:13] modified debian/control
[2021-05-20 18:53:13] modified debian/copyright
[2021-05-20 18:53:14] Committed revision 3228.
[2021-05-20 18:53:15] Opened schroot session unstable-amd64-sbuild-96a41e09-91be-4881-bb19-87dbef714c30 (from unstable-amd64-sbuild)
[2021-05-20 18:53:15] Using fixers: [PgBuildExtOutOfDateControlFixer(), SimpleBuildFixer(MissingConfigure, fix_missing_configure), SimpleBuildFixer(MissingAutomakeInput, fix_missing_automake_input), SimpleBuildFixer(MissingConfigStatusInput, fix_missing_config_status_input), SimpleBuildFixer(MissingPerlFile, fix_missing_makefile_pl), SimpleBuildFixer(DebcargoUnacceptablePredicate, coerce_unacceptable_predicate), DependencyBuildFixer(AptFetchFailure, retry_apt_failure), PackageDependencyFixer(AptResolver(<ognibuild.debian.apt.AptManager object at 0x7f32468f1e80>, [functools.partial(<function python_tie_breaker at 0x7f324c998430>, <GitWorkingTree of /home/janitor/tmp/janitorqi3net1_/vulkan-loader>, ''), BuildDependencyTieBreaker('/var/run/schroot/mount/unstable-amd64-sbuild-96a41e09-91be-4881-bb19-87dbef714c30'), <function popcon_tie_breaker at 0x7f3245bb3160>]))]
[2021-05-20 18:53:15] Building debian packages, running 'sbuild -A -s -v'.
[2021-05-20 18:55:26] Built ['vulkan-loader_1.2.162.0-1~cme+unc1_amd64.changes'].
[2021-05-20 18:55:26] Running lintian
[2021-05-20 18:55:38] Pushing result branch to RemoteVcsManager('https://janitor.debian.net/')
[2021-05-20 18:55:40] warning: ignoring broken ref refs/heads/unchanged/main
warning: ignoring broken ref refs/tags/6f825580-0ea2-4d07-8648-f230ea96e1
[2021-05-20 18:55:40] 9d/main
[2021-05-20 18:55:40] Pushing packaging branch cache to https://janitor.debian.net/git/vulkan-loader,branch=debian%2Flatest
[2021-05-20 18:55:44] warning: ignoring broken ref refs/heads/unchanged/main
warning: ignoring broken ref refs/tags/6f825580-0ea2-4d07-8648-f230ea96e1
[2021-05-20 18:55:44] 9d/main
[2021-05-20 18:55:44] git: cannot lock ref 'refs/heads/debian/latest': is at bc858f8d9570838226b6c14461177c6d37f41ab0 but expected 8c259722765a954313e4aaae5b64c9a2fabc6e9f
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 272, in run_worker
    push_branch(
  File "/home/janitor/debian-janitor/janitor/pull_worker.py", line 187, in push_branch
    target.push_branch(
  File "/home/janitor/debian-janitor/breezy/breezy/git/remote.py", line 685, in push_branch
    raise RemoteGitError(error)
breezy.git.remote.RemoteGitError: failed to update ref

Full worker log Full build log